package com.travel.erp.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.travel.erp.util.Utils;
import com.travel.erp.view.model.AlertModel;

@Entity
@Table(name = "lead_alerts")
public class Alert {

	@Id
	@GeneratedValue
	@Column(name = "alertId")
	private Integer alertId;

	@Column(name = "leadId")
	private Integer leadId;

	@Column(name = "alertNotes")
	private String alertNotes;

	@ManyToOne
	@JoinColumn(name = "alertAssignee")
	private Employee alertAssignee;

	@Column(name = "alertDate")
	private Date alertDate;

	@Column(name = "alertStatus")
	private String alertStatus;

	@Column(name = "emailNotification")
	private Boolean emailNotification;

	@ManyToOne
	@JoinColumn(name = "createdBy")
	private Employee createdBy;

	@Column(name = "createdAt")
	private Date createdAt;

	@Column(name = "updatedAt")
	private Date updatedAt;

	public Alert() {
		super();
	}

	public Alert(AlertModel alertModel) {
		if (alertModel.getErp_alertAssigneeId() != null) {
			Employee assignee = new Employee();
			assignee.setId(alertModel.getErp_alertAssigneeId());
			this.alertAssignee = assignee;
		} else {
			if (alertModel.getErp_createdById() != null) {
				Employee assignee = new Employee();
				assignee.setId(alertModel.getErp_createdById());
				this.alertAssignee = assignee;
			}
		}
		this.alertNotes = alertModel.getErp_alertNotes();
		this.alertStatus = alertModel.getErp_alertStatus();
		if (alertModel.getErp_alertDate() != null) {
			this.alertDate = Utils.getDateFromString(alertModel
					.getErp_alertDate());
		}
		emailNotification = alertModel.getErp_emailNotification();
		this.alertId = alertModel.getErp_alertId();
		this.leadId = alertModel.getErp_leadId();
		if (alertModel.getErp_createdById() != null) {
			Employee createdBy = new Employee();
			createdBy.setId(alertModel.getErp_createdById());
			this.createdBy = createdBy;
		}
	}

	public Integer getAlertId() {
		return alertId;
	}

	public void setAlertId(Integer alertId) {
		this.alertId = alertId;
	}

	public Integer getLeadId() {
		return leadId;
	}

	public void setLeadId(Integer leadId) {
		this.leadId = leadId;
	}

	public String getAlertNotes() {
		return alertNotes;
	}

	public void setAlertNotes(String alertNotes) {
		this.alertNotes = alertNotes;
	}

	public Employee getAlertAssignee() {
		return alertAssignee;
	}

	public void setAlertAssignee(Employee alertAssignee) {
		this.alertAssignee = alertAssignee;
	}

	public Date getAlertDate() {
		return alertDate;
	}

	public void setAlertDate(Date alertDate) {
		this.alertDate = alertDate;
	}

	public String getAlertStatus() {
		return alertStatus;
	}

	public void setAlertStatus(String alertStatus) {
		this.alertStatus = alertStatus;
	}

	public Boolean isEmailNotification() {
		return emailNotification;
	}

	public void setEmailNotification(Boolean emailNotification) {
		this.emailNotification = emailNotification;
	}

	public Employee getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(Employee createdBy) {
		this.createdBy = createdBy;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

}
