package com.travel.erp.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.travel.erp.view.model.HotelBookingModel;

@Entity
@Table(name = "hotelBooking")
public class HotelBooking {

	@Id
	@GeneratedValue
	@Column(name = "hotelBookingId", unique = true, nullable = false)
	private int hotelBookingId;

	private String hotelName;

	private String roomType;

	private Double roomCost;

	private int roomCount;

	private int nightsOfStay;

	public HotelBooking(HotelBookingModel hotelBookingModel) {
		this.hotelBookingId = hotelBookingModel.getErp_hotelBookingId();
		this.hotelName = hotelBookingModel.getErp_hotelName();
		this.roomType = hotelBookingModel.getErp_roomType();
		this.roomCost = hotelBookingModel.getErp_roomCost();
		this.nightsOfStay = hotelBookingModel.getErp_nightsOfStay();
	}

	public int getRoomCount() {
		return roomCount;
	}

	public void setRoomCount(int roomCount) {
		this.roomCount = roomCount;
	}

	public int getHotelBookingId() {
		return hotelBookingId;
	}

	public void setHotelBookingId(int hotelBookingId) {
		this.hotelBookingId = hotelBookingId;
	}

	public String getHotelName() {
		return hotelName;
	}

	public void setHotelName(String hotelName) {
		this.hotelName = hotelName;
	}

	public String getRoomType() {
		return roomType;
	}

	public void setRoomType(String roomType) {
		this.roomType = roomType;
	}

	public Double getRoomCost() {
		return roomCost;
	}

	public void setRoomCost(Double roomCost) {
		this.roomCost = roomCost;
	}

	public int getNightsOfStay() {
		return nightsOfStay;
	}

	public void setNightsOfStay(int nightsOfStay) {
		this.nightsOfStay = nightsOfStay;
	}
}