package com.travel.erp.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.travel.erp.view.model.LeadAttachmentModel;

@Entity
@Table(name = "lead_attachments")
public class LeadAttachment {

	@Id
	@GeneratedValue
	@Column(name = "attId")
	private int attId;

	@ManyToOne
	@JoinColumn(name = "leadId")
	private Lead lead;

	@Column(name = "attachmentName", nullable = false)
	private String attachmentName;

	@Column(name = "attachmentType", nullable = false)
	private String attachmentType;

	@Column(name = "attachment", nullable = false)
	private byte[] attachment;

	@Column(name = "creationTime")
	private Date creationTime;

	@Column(name = "updateTime")
	private Date updateTime;

	@ManyToOne
	@JoinColumn(name = "createdBy")
	private Employee createdBy;

	public int getAttId() {
		return attId;
	}

	public void setAttId(int attId) {
		this.attId = attId;
	}

	public Lead getLead() {
		return lead;
	}

	public void setLead(Lead lead) {
		this.lead = lead;
	}

	public String getAttachmentName() {
		return attachmentName;
	}

	public void setAttachmentName(String attachmentName) {
		this.attachmentName = attachmentName;
	}

	public String getAttachmentType() {
		return attachmentType;
	}

	public void setAttachmentType(String attachmentType) {
		this.attachmentType = attachmentType;
	}

	public byte[] getAttachment() {
		return attachment;
	}

	public void setAttachment(byte[] attachment) {
		this.attachment = attachment;
	}

	public Date getCreationTime() {
		return creationTime;
	}

	public void setCreationTime(Date creationTime) {
		this.creationTime = creationTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Employee getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(Employee createdBy) {
		this.createdBy = createdBy;
	}

	public LeadAttachment() {
		super();
	}

	public LeadAttachment(LeadAttachmentModel attachmentModel) {
		this.attId = attachmentModel.getErp_attId();
		this.attachment = attachmentModel.getErp_attachment();
		this.attachmentName = attachmentModel.getErp_attachmentName();
		this.attachmentType = attachmentModel.getErp_attachmentType();
		Lead lead = new Lead();
		lead.setId(attachmentModel.getErp_leadId());
		this.lead = lead;
		Employee createdBy = new Employee();
		createdBy.setId(attachmentModel.getErp_createdBy());
		this.createdBy = createdBy;
	}
}
