package com.travel.erp.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.travel.erp.view.model.NoteModel;

@Entity
@Table(name = "lead_notes")
public class Note {

	@Id
	@GeneratedValue
	@Column(name = "noteId")
	private Integer noteId;

	@Column(name = "leadId")
	private Integer leadId;

	@Column(name = "notes")
	private String notes;

	@Column(name = "notesSource")
	private String notesSource;

	@Column(name = "createdAt")
	private Date createdAt;

	@Column(name = "updatedAt")
	private Date updatedAt;

	@ManyToOne
	@JoinColumn(name = "createdBy")
	private Employee createdBy;

	public Note() {
		super();
	}

	public Note(NoteModel noteModel) {
		if (noteModel != null) {
			this.noteId = noteModel.getErp_noteId();
			this.leadId = noteModel.getErp_leadId();
			Employee employee = new Employee();
			employee.setId(noteModel.getErp_createdBy());
			this.createdBy = employee;
			this.notes = noteModel.getErp_notes();
			this.notesSource = noteModel.getErp_source();
		}
	}

	public Integer getNoteId() {
		return noteId;
	}

	public void setNoteId(Integer noteId) {
		this.noteId = noteId;
	}

	public Integer getLeadId() {
		return leadId;
	}

	public void setLeadId(Integer leadId) {
		this.leadId = leadId;
	}

	public String getNotes() {
		return notes;
	}

	public void setNotes(String notes) {
		this.notes = notes;
	}

	public String getNotesSource() {
		return notesSource;
	}

	public void setNotesSource(String notesSource) {
		this.notesSource = notesSource;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Employee getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(Employee createdBy) {
		this.createdBy = createdBy;
	}

}
