/**
 * 
 */
package com.travel.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.travel.erp.dao.BookingDao;
import com.travel.erp.model.Booking;
import com.travel.erp.service.BookingService;
import com.travel.erp.view.model.BookingModel;

/**
 * @author Himanshu
 *
 */
@Service("bookingService")
public class BookingServiceImpl implements BookingService {

	// private static final Logger logger =
	// LoggerFactory.getLogger(BookingServiceImpl.class);

	@Autowired
	private BookingDao bookingDao;

	@Override
	public BookingModel lookupBookingByBookingId(int bookingId) {
		Booking booking = bookingDao.getBooking(bookingId);
		if (booking != null) {
			return new BookingModel(booking);
		}
		return null;
	}

	@Override
	public int saveBooking(BookingModel bookingModel) {
		return bookingDao.saveBooking(new Booking(bookingModel));
	}

	@Override
	public void updateBooking(BookingModel bookingModel) {
		bookingDao.updateBooking(new Booking(bookingModel));
	}

	@Override
	public void deleteBooking(int bookingId) {
		bookingDao.deleteBooking(bookingId);
	}

	@Override
	public List<BookingModel> getAllBookings() {
		List<Booking> list = bookingDao.getAllBookings();
		List<BookingModel> listM = new ArrayList<>();
		if (list != null) {
			for (Booking booking : list) {
				listM.add(new BookingModel(booking));
			}
		}
		return listM;
	}

	@Override
	public List<BookingModel> getBookingBySalesPersonId(int salesPersonId) {
		List<Booking> list = bookingDao.getBookingBySalesPersonId(salesPersonId);
		List<BookingModel> listM = new ArrayList<>();
		if (list != null) {
			for (Booking booking : list) {
				listM.add(new BookingModel(booking));
			}
		}
		return listM;
	}

	@Override
	public List<BookingModel> getBookingByStatus(String bookingStatus) {
		List<Booking> list = bookingDao.getBookingByStatus(bookingStatus);
		List<BookingModel> listM = new ArrayList<>();
		if (list != null) {
			for (Booking booking : list) {
				listM.add(new BookingModel(booking));
			}
		}
		return listM;

	}

	@Override
	public List<BookingModel> getBookingByPackageCode(String packageCode) {
		List<Booking> list = bookingDao.getBookingByPackageCode(packageCode);
		List<BookingModel> listM = new ArrayList<>();
		if (list != null) {
			for (Booking booking : list) {
				listM.add(new BookingModel(booking));
			}
		}
		return listM;
	}

	@Override
	public List<BookingModel> getBookingByBookingName(String bookingName) {
		List<Booking> list = bookingDao.getBookingByBookingName(bookingName);
		List<BookingModel> listM = new ArrayList<>();
		if (list != null) {
			for (Booking booking : list) {
				listM.add(new BookingModel(booking));
			}
		}
		return listM;
	}

	@Override
	public List<BookingModel> getBookingByCreatedById(int createdById) {
		List<Booking> list = bookingDao.getBookingByCreatedById(createdById);
		List<BookingModel> listM = new ArrayList<>();
		if (list != null) {
			for (Booking booking : list) {
				listM.add(new BookingModel(booking));
			}
		}
		return listM;
	}
}