package com.travel.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.travel.erp.dao.CustomerDao;
import com.travel.erp.model.Customer;
import com.travel.erp.service.CustomerService;
import com.travel.erp.view.model.CustomerModel;

@Service("customerService")
public class CustomerServiceImpl implements CustomerService {

	@Autowired
	private CustomerDao customerDao;

	public int createCustomer(CustomerModel customerModel) {
		Customer customer = new Customer(customerModel);
		return customerDao.createCustomer(customer);
	}

	public CustomerModel getCustomer(int id) {
		Customer customer = customerDao.getCustomer(id);
		if (customer != null) {
			return new CustomerModel(customer);
		}
		return null;
	}

	@Override
	public List<CustomerModel> searchCustomerByEmailId(String emailId) {
		List<Customer> searchCustomerByEmailId = customerDao
				.searchCustomerByEmailId(emailId);
		List<CustomerModel> customers = new ArrayList<>();
		if (searchCustomerByEmailId != null) {
			for (Customer customer : searchCustomerByEmailId) {
				customers.add(new CustomerModel(customer));
			}
		}
		return customers;
	}

	@Override
	public List<CustomerModel> searchCustomerByPhoneNo(String phoneNo) {
		List<Customer> searchCustomerByEmailId = customerDao
				.searchCustomerByPhoneNo(phoneNo);
		List<CustomerModel> customers = new ArrayList<>();
		if (searchCustomerByEmailId != null) {
			for (Customer customer : searchCustomerByEmailId) {
				customers.add(new CustomerModel(customer));
			}
		}
		return customers;
	}

	@Override
	public Integer editCustomer(CustomerModel customerModel) {
		Customer customer = new Customer(customerModel);
		return customerDao.editCustomer(customer);
	}

	@Override
	public List<CustomerModel> getAllCustomers() {
		List<Customer> allCustomers = customerDao.getAllCustomers();
		List<CustomerModel> customers = new ArrayList<>();
		if (allCustomers != null) {
			for (Customer customer : allCustomers) {
				customers.add(new CustomerModel(customer));
			}
		}
		return customers;
	}
}
