package com.travel.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.travel.erp.dao.EmployeeDao;
import com.travel.erp.model.Employee;
import com.travel.erp.service.EmployeeService;
import com.travel.erp.view.model.EmployeeModel;

@Service("employeeService")
public class EmployeeServiceImpl implements EmployeeService {

	@Autowired
	private EmployeeDao employeeDao;

	@Override
	public void addEmployee(Employee employee) {
		employeeDao.addEmployee(employee);
	}

	@Override
	public List<EmployeeModel> getEmployees() {
		List<Employee> employees = employeeDao.getEmployees();
		List<EmployeeModel> employeeList = new ArrayList<>();
		if (employees != null) {
			for (Employee employee : employees) {
				employeeList.add(new EmployeeModel(employee.getId(), employee
						.getName()));
			}
			return employeeList;
		}
		return employeeList;
	}

	@Override
	public EmployeeModel login(String userName, String password) {
		Employee login = employeeDao.login(userName, password);
		if (login != null) {
			EmployeeModel emp = new EmployeeModel();
			emp.setErp_emp_id(login.getId());
			emp.setErp_emp_name(login.getName());
			return emp;
		}
		return null;
	}

}
