package com.travel.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.travel.erp.dao.LeadAttachmentDao;
import com.travel.erp.model.LeadAttachment;
import com.travel.erp.service.LeadAttachmentService;
import com.travel.erp.view.model.LeadAttachmentModel;

@Service("leadAttachmentService")
public class LeadAttachmentServiceImpl implements LeadAttachmentService {

	@Autowired
	LeadAttachmentDao leadAttachmentDao;

	@Override
	public LeadAttachmentModel addLeadAttachment(LeadAttachmentModel attachment) {
		LeadAttachment leadAttachment = new LeadAttachment(attachment);
		LeadAttachment addLeadAttachment = leadAttachmentDao
				.addLeadAttachment(leadAttachment);
		if (addLeadAttachment != null) {
			return new LeadAttachmentModel(addLeadAttachment);
		} else {
			return null;
		}
	}

	@Override
	public List<LeadAttachmentModel> addLeadAttachments(
			List<LeadAttachmentModel> attachments) {
		List<LeadAttachment> leadAttachments = new ArrayList<>();
		for (LeadAttachmentModel attachmentModel : attachments) {
			leadAttachments.add(new LeadAttachment(attachmentModel));
		}
		List<LeadAttachment> addLeadAttachments = leadAttachmentDao
				.addLeadAttachments(leadAttachments);
		if (addLeadAttachments != null) {
			List<LeadAttachmentModel> addedLeadAttachments = new ArrayList<>();
			for (LeadAttachment leadAttachment : addLeadAttachments) {
				addedLeadAttachments
						.add(new LeadAttachmentModel(leadAttachment));
			}
			return addedLeadAttachments;
		}
		return null;
	}

	@Override
	public LeadAttachmentModel getLeadAttachmentByAttachmentId(int attId) {
		LeadAttachment leadAttachmentByAttachmentId = leadAttachmentDao
				.getLeadAttachmentByAttachmentId(attId);
		if (leadAttachmentByAttachmentId != null) {
			return new LeadAttachmentModel(leadAttachmentByAttachmentId);
		} else {
			return null;
		}
	}

	@Override
	public List<LeadAttachmentModel> getAttachmentsOfALead(int leadId) {
		List<LeadAttachment> attachmentsOfALead = leadAttachmentDao
				.getAttachmentsOfALead(leadId);
		if (leadAttachmentDao != null) {
			List<LeadAttachmentModel> leadAttachments = new ArrayList<>();
			for (LeadAttachment attachment : attachmentsOfALead) {
				leadAttachments.add(new LeadAttachmentModel(attachment));
			}
			return leadAttachments;
		} else {
			return null;
		}
	}

	@Override
	public void updateLeadAttachment(LeadAttachmentModel attachment) {
		LeadAttachment leadAttachment = new LeadAttachment(attachment);
		leadAttachmentDao.updateLeadAttachment(leadAttachment);
	}

	@Override
	public void deleteLeadAttachment(int atttId) {
		leadAttachmentDao.deleteLeadAttachment(atttId);
	}

}
