package com.travel.erp.view.model;

import com.travel.erp.model.Alert;
import com.travel.erp.util.Utils;

public class AlertModel {

	private Integer erp_alertId;
	private Integer erp_leadId;
	private String erp_alertNotes;
	private String erp_source = "ALERT";
	private Integer erp_alertAssigneeId;
	private EmployeeModel erp_alertAssignee;
	private String erp_alertDate;
	private String erp_alertStatus;
	private Boolean erp_emailNotification;
	private Integer erp_createdById;
	private EmployeeModel erp_createdBy;
	private String erp_createdAt;
	private Long erp_updateTimestamp;
	private String erp_updatedAt;

	public AlertModel() {
		super();
	}

	public AlertModel(Alert alert) {
		this.erp_alertId = alert.getAlertId();
		this.erp_leadId = alert.getLeadId();
		this.erp_alertNotes = alert.getAlertNotes();
		if (alert.getAlertAssignee() != null) {
			this.erp_alertAssignee = new EmployeeModel(alert.getAlertAssignee());
			this.erp_alertAssigneeId = alert.getAlertAssignee().getId();
		}
		if (alert.getAlertDate() != null) {
			this.erp_alertDate = Utils.getStringFromDate(alert.getAlertDate());
		}
		this.erp_alertStatus = alert.getAlertStatus();
		this.erp_emailNotification = alert.isEmailNotification();
		if (alert.getCreatedBy() != null) {
			this.erp_createdBy = new EmployeeModel(alert.getCreatedBy());
			this.erp_createdById = alert.getCreatedBy().getId();
		}
		if (alert.getCreatedAt() != null) {
			this.erp_createdAt = Utils.getStringFromDate(alert.getCreatedAt());
		}
		if (alert.getUpdatedAt() != null) {
			this.erp_updateTimestamp = alert.getUpdatedAt().getTime();
			this.erp_updatedAt = Utils.getStringFromDate(alert.getUpdatedAt());
		}
	}

	public Integer getErp_alertId() {
		return erp_alertId;
	}

	public void setErp_alertId(Integer erp_alertId) {
		this.erp_alertId = erp_alertId;
	}

	public Integer getErp_leadId() {
		return erp_leadId;
	}

	public void setErp_leadId(Integer erp_leadId) {
		this.erp_leadId = erp_leadId;
	}

	public String getErp_alertNotes() {
		return erp_alertNotes;
	}

	public void setErp_alertNotes(String erp_alertNotes) {
		this.erp_alertNotes = erp_alertNotes;
	}
	
	

	public String getErp_source() {
		return erp_source;
	}

	public void setErp_source(String erp_source) {
		this.erp_source = erp_source;
	}

	public Integer getErp_alertAssigneeId() {
		return erp_alertAssigneeId;
	}

	public void setErp_alertAssigneeId(Integer erp_alertAssigneeId) {
		this.erp_alertAssigneeId = erp_alertAssigneeId;
	}

	public EmployeeModel getErp_alertAssignee() {
		return erp_alertAssignee;
	}

	public void setErp_alertAssignee(EmployeeModel erp_alertAssignee) {
		this.erp_alertAssignee = erp_alertAssignee;
	}

	public String getErp_alertDate() {
		return erp_alertDate;
	}

	public void setErp_alertDate(String erp_alertDate) {
		this.erp_alertDate = erp_alertDate;
	}

	public String getErp_alertStatus() {
		return erp_alertStatus;
	}

	public void setErp_alertStatus(String erp_alertStatus) {
		this.erp_alertStatus = erp_alertStatus;
	}

	public Boolean getErp_emailNotification() {
		return erp_emailNotification;
	}

	public void setErp_emailNotification(Boolean erp_emailNotification) {
		this.erp_emailNotification = erp_emailNotification;
	}

	public Integer getErp_createdById() {
		return erp_createdById;
	}

	public void setErp_createdById(Integer erp_createdById) {
		this.erp_createdById = erp_createdById;
	}

	public EmployeeModel getErp_createdBy() {
		return erp_createdBy;
	}

	public void setErp_createdBy(EmployeeModel erp_createdBy) {
		this.erp_createdBy = erp_createdBy;
	}

	public String getErp_createdAt() {
		return erp_createdAt;
	}

	public void setErp_createdAt(String erp_createdAt) {
		this.erp_createdAt = erp_createdAt;
	}
	

	public Long getErp_updateTimestamp() {
		return erp_updateTimestamp;
	}

	public void setErp_updateTimestamp(Long erp_updateTimestamp) {
		this.erp_updateTimestamp = erp_updateTimestamp;
	}

	public String getErp_updatedAt() {
		return erp_updatedAt;
	}

	public void setErp_updatedAt(String erp_updatedAt) {
		this.erp_updatedAt = erp_updatedAt;
	}

}
