package com.travel.erp.view.model;

import java.util.ArrayList;
import java.util.List;

import com.travel.erp.model.Booking;
import com.travel.erp.model.HotelBooking;

public class BookingModel {

	private int erp_bookingId;
	private String erp_bookingName;
	private String erp_packageCode;
	private EmployeeModel erp_salesPerson;
	private int erp_roomCount;
	private String erp_pickupLocation;
	private String erp_dropLocation;
	private String erp_vehicle;
	private Double erp_vehicleCost;
	private Double erp_proposedPackageCost;
	private boolean erp_taxIncluded;
	private String erp_bookingStatus;
	private String erp_inclusions;
	private String erp_exclusions;
	private List<HotelBookingModel> erp_hotelBookings;
	private List<TravelBookingModel> erp_travelBookings;
	private int erp_createdBy;
	private String erp_createdAt;
	private String erp_updatedAt;

	public BookingModel() {
	}

	public BookingModel(Booking booking) {
		this.erp_bookingId = booking.getBookingId();
		this.erp_bookingName = booking.getBookingName();
		this.erp_packageCode = booking.getPackageCode();
		this.erp_salesPerson = new EmployeeModel(booking.getSalesPerson());
		this.erp_roomCount = booking.getRoomCount();
		this.erp_pickupLocation = booking.getPickupLocation();
		this.erp_dropLocation = booking.getDropLocation();
		this.erp_vehicle = booking.getVehicle();
		this.erp_vehicleCost = booking.getVehicleCost();
		this.erp_proposedPackageCost = booking.getProposedPackageCost();
		this.erp_taxIncluded = booking.isTaxIncluded();
		this.erp_bookingStatus = booking.getBookingStatus();
		this.erp_inclusions = booking.getInclusions();
		this.erp_exclusions = booking.getExclusions();
		this.erp_createdBy = booking.getCreatedBy();
		this.erp_createdAt = booking.getCreatedAt();
		this.erp_updatedAt = booking.getUpdatedAt();
		List<HotelBookingModel> hotelBookingsModel = new ArrayList<>();
		for (HotelBooking hotelBooking : booking.getHotelBookings()) {
			hotelBookingsModel.add(new HotelBookingModel(hotelBooking));
		}
		this.erp_hotelBookings = hotelBookingsModel;
	}

	public int getErp_bookingId() {
		return erp_bookingId;
	}

	public void setErp_bookingId(int erp_bookingId) {
		this.erp_bookingId = erp_bookingId;
	}

	public String getErp_bookingName() {
		return erp_bookingName;
	}

	public void setErp_bookingName(String erp_bookingName) {
		this.erp_bookingName = erp_bookingName;
	}

	public String getErp_packageCode() {
		return erp_packageCode;
	}

	public void setErp_packageCode(String erp_packageCode) {
		this.erp_packageCode = erp_packageCode;
	}

	public EmployeeModel getErp_salesPerson() {
		return erp_salesPerson;
	}

	public void setErp_salesPerson(EmployeeModel erp_salesPerson) {
		this.erp_salesPerson = erp_salesPerson;
	}

	public int getErp_roomCount() {
		return erp_roomCount;
	}

	public void setErp_roomCount(int erp_roomCount) {
		this.erp_roomCount = erp_roomCount;
	}

	public String getErp_pickupLocation() {
		return erp_pickupLocation;
	}

	public void setErp_pickupLocation(String erp_pickupLocation) {
		this.erp_pickupLocation = erp_pickupLocation;
	}

	public String getErp_dropLocation() {
		return erp_dropLocation;
	}

	public void setErp_dropLocation(String erp_dropLocation) {
		this.erp_dropLocation = erp_dropLocation;
	}

	public String getErp_vehicle() {
		return erp_vehicle;
	}

	public void setErp_vehicle(String erp_vehicle) {
		this.erp_vehicle = erp_vehicle;
	}

	public Double getErp_vehicleCost() {
		return erp_vehicleCost;
	}

	public void setErp_vehicleCost(Double erp_vehicleCost) {
		this.erp_vehicleCost = erp_vehicleCost;
	}

	public Double getErp_proposedPackageCost() {
		return erp_proposedPackageCost;
	}

	public void setErp_proposedPackageCost(Double erp_proposedPackageCost) {
		this.erp_proposedPackageCost = erp_proposedPackageCost;
	}

	public boolean isErp_taxIncluded() {
		return erp_taxIncluded;
	}

	public void setErp_taxIncluded(boolean erp_taxIncluded) {
		this.erp_taxIncluded = erp_taxIncluded;
	}

	public String getErp_bookingStatus() {
		return erp_bookingStatus;
	}

	public void setErp_bookingStatus(String erp_bookingStatus) {
		this.erp_bookingStatus = erp_bookingStatus;
	}

	public String getErp_inclusions() {
		return erp_inclusions;
	}

	public void setErp_inclusions(String erp_inclusions) {
		this.erp_inclusions = erp_inclusions;
	}

	public String getErp_exclusions() {
		return erp_exclusions;
	}

	public void setErp_exclusions(String erp_exclusions) {
		this.erp_exclusions = erp_exclusions;
	}

	public List<HotelBookingModel> getErp_hotelBookings() {
		return erp_hotelBookings;
	}

	public void setErp_hotelBookings(List<HotelBookingModel> erp_hotelBookings) {
		this.erp_hotelBookings = erp_hotelBookings;
	}

	public List<TravelBookingModel> getErp_travelBookings() {
		return erp_travelBookings;
	}

	public void setErp_travelBookings(List<TravelBookingModel> erp_travelBookings) {
		this.erp_travelBookings = erp_travelBookings;
	}

	public int getErp_createdBy() {
		return erp_createdBy;
	}

	public void setErp_createdBy(int erp_createdBy) {
		this.erp_createdBy = erp_createdBy;
	}

	public String getErp_createdAt() {
		return erp_createdAt;
	}

	public void setErp_createdAt(String erp_createdAt) {
		this.erp_createdAt = erp_createdAt;
	}

	public String getErp_updatedAt() {
		return erp_updatedAt;
	}

	public void setErp_updatedAt(String erp_updatedAt) {
		this.erp_updatedAt = erp_updatedAt;
	}

}
