package com.travel.erp.view.model;

import org.springframework.util.StringUtils;

import com.travel.erp.model.Customer;
import com.travel.erp.util.Utils;

public class CustomerModel {
	private Integer erp_id;
	private String erp_name;
	private String erp_emailId;
	private String erp_phoneNo;
	private String erp_city;
	private String erp_country;
	private String erp_dateOfBirth;
	private Integer erp_createdBy;

	public CustomerModel() {
	}

	public CustomerModel(Customer customer) {
		this.erp_id = customer.getId();
		this.erp_name = customer.getName();
		this.erp_emailId = customer.getEmailId();
		this.erp_phoneNo = customer.getPhoneNo();
		this.erp_city = customer.getCity();
		this.erp_country = customer.getCountry();
		if (!StringUtils.isEmpty(customer.getDateOfBirth())) {
			this.erp_dateOfBirth = Utils.getStringFromDate(customer
					.getDateOfBirth());
		}
		this.erp_createdBy = customer.getCreatedBy().getId();
	}

	public Integer getErp_id() {
		return erp_id;
	}

	public void setErp_id(Integer erp_id) {
		this.erp_id = erp_id;
	}

	public String getErp_name() {
		return erp_name;
	}

	public void setErp_name(String erp_name) {
		this.erp_name = erp_name;
	}

	public String getErp_emailId() {
		return erp_emailId;
	}

	public void setErp_emailId(String erp_emailId) {
		this.erp_emailId = erp_emailId;
	}

	public String getErp_phoneNo() {
		return erp_phoneNo;
	}

	public void setErp_phoneNo(String erp_phoneNo) {
		this.erp_phoneNo = erp_phoneNo;
	}

	public String getErp_city() {
		return erp_city;
	}

	public void setErp_city(String erp_city) {
		this.erp_city = erp_city;
	}

	public String getErp_country() {
		return erp_country;
	}

	public void setErp_country(String erp_country) {
		this.erp_country = erp_country;
	}

	public String getErp_dateOfBirth() {
		return erp_dateOfBirth;
	}

	public void setErp_dateOfBirth(String erp_dateOfBirth) {
		this.erp_dateOfBirth = erp_dateOfBirth;
	}

	public Integer getErp_createdBy() {
		return erp_createdBy;
	}

	public void setErp_createdBy(Integer erp_createdBy) {
		this.erp_createdBy = erp_createdBy;
	}

}
