package com.travel.erp.view.model;

import com.travel.erp.model.LeadAttachment;
import com.travel.erp.util.Utils;

public class LeadAttachmentModel {
	private int erp_attId;
	private int erp_leadId;
	private String erp_attachmentName;
	private String erp_attachmentType;
	private byte[] erp_attachment;
	private String erp_source = "ATTACHMENT";
	private String erp_creationDate;
	private String erp_lastUpdateTime;
	private Long erp_updateTimestamp;
	private int erp_createdBy;

	public LeadAttachmentModel() {
	}

	public LeadAttachmentModel(LeadAttachment attachment) {
		this.erp_attId = attachment.getAttId();
		this.erp_leadId = attachment.getLead().getId();
		this.erp_attachmentName = attachment.getAttachmentName();
		this.erp_attachmentType = attachment.getAttachmentType();
		this.erp_attachment = attachment.getAttachment();
		if (attachment.getCreationTime() != null) {
			this.erp_creationDate = Utils.getStringFromDate(attachment
					.getCreationTime());
		}
		if (attachment.getUpdateTime() != null) {
			this.erp_updateTimestamp = attachment.getUpdateTime().getTime();
			this.erp_lastUpdateTime = Utils.getStringFromDate(attachment
					.getUpdateTime());
		}
		this.erp_createdBy = attachment.getCreatedBy().getId();
	}

	public int getErp_attId() {
		return erp_attId;
	}

	public void setErp_attId(int erp_attId) {
		this.erp_attId = erp_attId;
	}

	public int getErp_leadId() {
		return erp_leadId;
	}

	public void setErp_leadId(int erp_leadId) {
		this.erp_leadId = erp_leadId;
	}

	public String getErp_attachmentName() {
		return erp_attachmentName;
	}

	public void setErp_attachmentName(String erp_attachmentName) {
		this.erp_attachmentName = erp_attachmentName;
	}

	public String getErp_attachmentType() {
		return erp_attachmentType;
	}

	public void setErp_attachmentType(String erp_attachmentType) {
		this.erp_attachmentType = erp_attachmentType;
	}

	public byte[] getErp_attachment() {
		return erp_attachment;
	}

	public void setErp_attachment(byte[] erp_attachment) {
		this.erp_attachment = erp_attachment;
	}

	public String getErp_source() {
		return erp_source;
	}

	public void setErp_source(String erp_source) {
		this.erp_source = erp_source;
	}

	public String getErp_creationDate() {
		return erp_creationDate;
	}

	public void setErp_creationDate(String erp_creationDate) {
		this.erp_creationDate = erp_creationDate;
	}

	public String getErp_lastUpdateTime() {
		return erp_lastUpdateTime;
	}

	public void setErp_lastUpdateTime(String erp_lastUpdateTime) {
		this.erp_lastUpdateTime = erp_lastUpdateTime;
	}

	public Long getErp_updateTimestamp() {
		return erp_updateTimestamp;
	}

	public void setErp_updateTimestamp(Long erp_updateTimestamp) {
		this.erp_updateTimestamp = erp_updateTimestamp;
	}

	public int getErp_createdBy() {
		return erp_createdBy;
	}

	public void setErp_createdBy(int erp_createdBy) {
		this.erp_createdBy = erp_createdBy;
	}

}
