package com.travel.erp.view.model;

import java.util.List;

import com.travel.erp.model.Customer;
import com.travel.erp.model.Employee;
import com.travel.erp.model.Lead;
import com.travel.erp.util.Utils;

public class LeadModel {

	private Integer erp_id;
	private Integer erp_customerId;
	private CustomerModel erp_customer;
	private String erp_destinations;
	private Integer erp_adultCount;
	private Integer erp_kidsCount;
	private String erp_departureDate;
	private Integer erp_nights;
	private String erp_leavingFrom;
	private String erp_leadSource;
	private String erp_additionalInfo;
	private String erp_leadStatus;
	private Integer erp_createdBy;
	private EmployeeModel erp_createdByEmployee;
	private EmployeeModel erp_assignedToEmployee;
	private Integer erp_assignedTo;
	private String erp_creationDate;
	private Long erp_updateTimestamp;
	private String erp_lastUpdateTime;
	private List<LeadAttachmentModel> erp_leadAttachments;
	private List<NoteModel> erp_notes;
	private List<AlertModel> erp_alerts;

	public LeadModel() {

	}

	public LeadModel(Lead lead) {
		this.erp_id = lead.getId();
		Customer customer = lead.getCustomer();
		this.erp_customerId = customer.getId();
		this.erp_customer = new CustomerModel(customer);
		this.erp_destinations = lead.getDestinations();
		this.erp_adultCount = lead.getAdultCount();
		this.erp_kidsCount = lead.getKidsCount();
		this.erp_departureDate = Utils.getStringFromDate(lead
				.getDepartureDate());
		this.erp_nights = lead.getNights();
		this.erp_leavingFrom = lead.getLeavingFrom();
		this.erp_leadSource = lead.getLeadSource();
		this.erp_additionalInfo = lead.getAdditionalInfo();
		this.erp_leadStatus = lead.getLeadStatus();
		this.erp_createdBy = lead.getCreatedBy().getId();
		this.erp_assignedTo = lead.getAssignedTo().getId();
		this.erp_createdByEmployee = new EmployeeModel(lead.getCreatedBy());
		this.erp_assignedToEmployee = new EmployeeModel(lead.getAssignedTo());
		if (lead.getCreationTime() != null) {
			this.erp_creationDate = Utils.getStringFromDate(lead
					.getCreationTime());
		}
		if (lead.getUpdateTime() != null) {
			this.erp_updateTimestamp = lead.getUpdateTime().getTime();
			this.erp_lastUpdateTime = Utils.getStringFromDate(lead
					.getUpdateTime());
		}
	}

	public Integer getErp_id() {
		return erp_id;
	}

	public void setErp_id(Integer erp_id) {
		this.erp_id = erp_id;
	}

	public Integer getErp_customerId() {
		return erp_customerId;
	}

	public void setErp_customerId(Integer erp_customerId) {
		this.erp_customerId = erp_customerId;
	}

	public String getErp_destinations() {
		return erp_destinations;
	}

	public void setErp_destinations(String erp_destinations) {
		this.erp_destinations = erp_destinations;
	}

	public Integer getErp_adultCount() {
		return erp_adultCount;
	}

	public void setErp_adultCount(Integer erp_adultCount) {
		this.erp_adultCount = erp_adultCount;
	}

	public Integer getErp_kidsCount() {
		return erp_kidsCount;
	}

	public void setErp_kidsCount(Integer erp_kidsCount) {
		this.erp_kidsCount = erp_kidsCount;
	}

	public String getErp_departureDate() {
		return erp_departureDate;
	}

	public void setErp_departureDate(String erp_departureDate) {
		this.erp_departureDate = erp_departureDate;
	}

	public Integer getErp_nights() {
		return erp_nights;
	}

	public void setErp_nights(Integer erp_nights) {
		this.erp_nights = erp_nights;
	}

	public String getErp_leavingFrom() {
		return erp_leavingFrom;
	}

	public void setErp_leavingFrom(String erp_leavingFrom) {
		this.erp_leavingFrom = erp_leavingFrom;
	}

	public String getErp_leadSource() {
		return erp_leadSource;
	}

	public void setErp_leadSource(String erp_leadSource) {
		this.erp_leadSource = erp_leadSource;
	}

	public String getErp_additionalInfo() {
		return erp_additionalInfo;
	}

	public void setErp_additionalInfo(String erp_additionalInfo) {
		this.erp_additionalInfo = erp_additionalInfo;
	}

	public String getErp_leadStatus() {
		return erp_leadStatus;
	}

	public void setErp_leadStatus(String erp_leadStatus) {
		this.erp_leadStatus = erp_leadStatus;
	}

	public Integer getErp_createdBy() {
		return erp_createdBy;
	}

	public void setErp_createdBy(Integer erp_createdBy) {
		this.erp_createdBy = erp_createdBy;
	}

	public Integer getErp_assignedTo() {
		return erp_assignedTo;
	}

	public void setErp_assignedTo(Integer erp_assignedTo) {
		this.erp_assignedTo = erp_assignedTo;
	}

	public String getErp_creationDate() {
		return erp_creationDate;
	}

	public void setErp_creationDate(String erp_creationDate) {
		this.erp_creationDate = erp_creationDate;
	}

	public String getErp_lastUpdateTime() {
		return erp_lastUpdateTime;
	}

	public void setErp_lastUpdateTime(String erp_lastUpdateTime) {
		this.erp_lastUpdateTime = erp_lastUpdateTime;
	}

	public CustomerModel getErp_customer() {
		return erp_customer;
	}

	public void setErp_customer(CustomerModel erp_customer) {
		this.erp_customer = erp_customer;
	}

	public EmployeeModel getErp_createdByEmployee() {
		return erp_createdByEmployee;
	}

	public void setErp_createdByEmployee(EmployeeModel erp_createdByEmployee) {
		this.erp_createdByEmployee = erp_createdByEmployee;
	}

	public EmployeeModel getErp_assignedToEmployee() {
		return erp_assignedToEmployee;
	}

	public void setErp_assignedToEmployee(EmployeeModel erp_assignedToEmployee) {
		this.erp_assignedToEmployee = erp_assignedToEmployee;
	}

	public List<LeadAttachmentModel> getErp_leadAttachments() {
		return erp_leadAttachments;
	}

	public void setErp_leadAttachments(
			List<LeadAttachmentModel> erp_leadAttachments) {
		this.erp_leadAttachments = erp_leadAttachments;
	}

	public List<NoteModel> getErp_notes() {
		return erp_notes;
	}

	public void setErp_notes(List<NoteModel> erp_notes) {
		this.erp_notes = erp_notes;
	}

	public List<AlertModel> getErp_alerts() {
		return erp_alerts;
	}

	public void setErp_alerts(List<AlertModel> erp_alerts) {
		this.erp_alerts = erp_alerts;
	}

	public Long getErp_updateTimestamp() {
		return erp_updateTimestamp;
	}

	public void setErp_updateTimestamp(Long erp_updateTimestamp) {
		this.erp_updateTimestamp = erp_updateTimestamp;
	}

}
