package com.travel.erp.view.model;

import com.travel.erp.model.Note;
import com.travel.erp.util.Utils;

public class NoteModel {

	private Integer erp_noteId;
	private Integer erp_leadId;
	private Integer erp_bookingId;
	private String erp_notes;
	private String erp_source;
	private EmployeeModel erp_createdByEmployee;
	private Integer erp_createdBy;
	private Long erp_updateTimestamp;
	private String erp_createdAt;
	private String erp_updatedAt;

	public NoteModel() {
	}

	public NoteModel(Note note) {
		this.erp_noteId = note.getNoteId();
		this.erp_leadId = note.getLeadId();
		this.erp_notes = note.getNotes();
		this.erp_source = note.getNotesSource();
		this.erp_createdByEmployee = new EmployeeModel(note.getCreatedBy());
		this.erp_createdBy = note.getCreatedBy().getId();
		if (note.getCreatedAt() != null) {
			this.erp_createdAt = Utils.getStringFromDate(note.getCreatedAt());
		}
		if (note.getUpdatedAt() != null) {
			this.erp_updateTimestamp = note.getUpdatedAt().getTime();
			this.erp_updatedAt = Utils.getStringFromDate(note.getUpdatedAt());
		}
	}

	public Integer getErp_noteId() {
		return erp_noteId;
	}

	public void setErp_noteId(Integer erp_noteId) {
		this.erp_noteId = erp_noteId;
	}

	public Integer getErp_leadId() {
		return erp_leadId;
	}

	public void setErp_leadId(Integer erp_leadId) {
		this.erp_leadId = erp_leadId;
	}

	public Integer getErp_bookingId() {
		return erp_bookingId;
	}

	public void setErp_bookingId(Integer erp_bookingId) {
		this.erp_bookingId = erp_bookingId;
	}

	public String getErp_notes() {
		return erp_notes;
	}

	public void setErp_notes(String erp_notes) {
		this.erp_notes = erp_notes;
	}

	

	public String getErp_source() {
		return erp_source;
	}

	public void setErp_source(String erp_source) {
		this.erp_source = erp_source;
	}

	public EmployeeModel getErp_createdByEmployee() {
		return erp_createdByEmployee;
	}

	public void setErp_createdByEmployee(EmployeeModel erp_createdByEmployee) {
		this.erp_createdByEmployee = erp_createdByEmployee;
	}

	public Integer getErp_createdBy() {
		return erp_createdBy;
	}

	public void setErp_createdBy(Integer erp_createdBy) {
		this.erp_createdBy = erp_createdBy;
	}

	public String getErp_createdAt() {
		return erp_createdAt;
	}

	public void setErp_createdAt(String erp_createdAt) {
		this.erp_createdAt = erp_createdAt;
	}
	

	public Long getErp_updateTimestamp() {
		return erp_updateTimestamp;
	}

	public void setErp_updateTimestamp(Long erp_updateTimestamp) {
		this.erp_updateTimestamp = erp_updateTimestamp;
	}

	public String getErp_updatedAt() {
		return erp_updatedAt;
	}

	public void setErp_updatedAt(String erp_updatedAt) {
		this.erp_updatedAt = erp_updatedAt;
	}

}
